//
//  PDFDisplayBugViewController.m
//  PDFDisplayBug
//
//  Created by Ole Begemann on 06.06.10.
//  Copyright Ole Begemann 2010. All rights reserved.
//

#import "PDFDisplayBugViewController.h"

@implementation PDFDisplayBugViewController

@synthesize webView;


- (void)viewDidLoad {
    [super viewDidLoad];
    
    // This setting causes the display bug
    self.webView.scalesPageToFit = YES;
    
    NSString *pdfFilePath = [[NSBundle mainBundle] pathForResource:@"Jabulani" ofType:@"pdf"];
    [self.webView loadRequest:[NSURLRequest requestWithURL:[NSURL fileURLWithPath:pdfFilePath]]];
}


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return YES;
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
    self.webView = nil;
}


- (void)dealloc {
    [webView release];
    [super dealloc];
}

@end
